#
# spec file for package crosfire (Version 0.93.5)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm xforms rplay

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         crosfire
Release:      15
Copyright:    1992 Frank Tore Johansen, 1994 Mark Wedel
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.93.5
Summary:      Graphical multi-player arcade game for X11
Source: crossfire-0.93.5.tar.gz
Source1: crossfire-0.93.5.maps.tar.gz
Source2: crossfire-0.93.5.client.tar.gz
Patch: crossfire-0.93.5.dif
Patch1: maps.dif
%description
Adventure game, like nethack plus graphical interface.
Can be played over a network, includes an editor.
Documentation: man crossfire

Authors:
--------
    Frank Tore Johansen <frankj@ifi.uio.no>

%prep
%setup -n crossfire-0.93.5 -b 1
%patch
cd ../maps
%patch -P 1
chown -R root:root .
chown -R root:root *
%build
xmkmf -a
make
%install
make install
make install.man
rm doc/include_html.pl.orig
rm doc/playbook/make_index.pl.orig
rm doc/spoiler-html/makeps.pl.orig
rm ../maps/world/connect.pl.orig
cp -a ../maps /usr/X11R6/lib/X11/crossfire/lib
Check
%files
%docdir /usr/X11R6/man
/usr/X11R6/lib/X11/crossfire
/usr/X11R6/bin/crossclient
/usr/X11R6/bin/crossedit
/usr/X11R6/bin/crossfire
/usr/X11R6/bin/crossloop
/usr/X11R6/bin/crossloop.pl
/usr/X11R6/bin/crossrem.pl
/usr/X11R6/man/man1/crossfire.1.gz
/usr/X11R6/man/man1/xbmtobdf.1.gz
/usr/X11R6/man/man1/crossedit.1.gz
%doc doc

